/*
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <pthread.h>
#include <sched.h>
#include <string.h>
#include <stdio.h>

#include "real_time.h"

void
Tk:: thread_set_real_time(int priority)
{
  int err(0);
  int policy = SCHED_RR;
  //  struct shed_param param;
  //  param.shed_priority = priority;
  
  //  err = pthread_setschedparam(pthread_self(), policy, &param);
  if (err)
    {
      /*      std::cerr << "could not set realtime priority: "
		<< strerror(err)
		<< std::endl;*/
      fprintf (stderr, "could not set realtime priority: %s\n",
	       strerror(err));
    }
}
